---
title: "ZLIB"
description: "Static ZLIB related functions."
canonical_url: "https://www.zeyos.com/zymba/ref/zlib"
markdown_url: "https://www.zeyos.com/ai/guide/zymba/ref/zlib.md"
section: "zymba-reference"
authority: "reference"
language: "en"
source_repository: "https://cloud.zeyos.com/__doc/zymbaref.json"
source_sha256: "05a361c6ddc32e74f4a6dc16fd06f218210ff1b7ce57f26ca1994bfffc407915"
---

# ZLIB

## ZLIB

```
object @ZLIB() {
	deflate(string $string): string {}
	deflateRaw(string $string): string {}
	gunzip(string $string): string {}
	gzip(string $string): string {}
	inflate(string $string): string {}
	inflateRaw(string $string): string {}
}
```

**Static ZLIB related functions.**

## Functions


### `@ZLIB.deflate()`


Deflates a string using ZLIB compression according to RFC 1950.

```code
@ZLIB.deflate(string $string): string
```

##### Parameters

| Name | Type | Value | Default |
| --- | --- | --- | --- |
| string | `string`  |  | "" |

##### Returns

| Type | Value |
| --- | ---  |
| `string` |  |




### `@ZLIB.deflateRaw()`


Deflates a string using DEFLATE compression in raw format according to RFC 1951.

```code
@ZLIB.deflateRaw(string $string): string
```

##### Parameters

| Name | Type | Value | Default |
| --- | --- | --- | --- |
| string | `string`  |  | "" |

##### Returns

| Type | Value |
| --- | ---  |
| `string` |  |




### `@ZLIB.gunzip()`


Unzips a string using GZIP decompression according to RFC 1952.

```code
@ZLIB.gunzip(string $string): string
```

##### Parameters

| Name | Type | Value | Default |
| --- | --- | --- | --- |
| string | `string`  |  | "" |

##### Returns

| Type | Value |
| --- | ---  |
| `string` |  |




### `@ZLIB.gzip()`


Zips a string using GZIP compression according to RFC 1952.

```code
@ZLIB.gzip(string $string): string
```

##### Parameters

| Name | Type | Value | Default |
| --- | --- | --- | --- |
| string | `string`  |  | "" |

##### Returns

| Type | Value |
| --- | ---  |
| `string` |  |




### `@ZLIB.inflate()`


Inflates a string using ZLIB decompression according to RFC 1950.

```code
@ZLIB.inflate(string $string): string
```

##### Parameters

| Name | Type | Value | Default |
| --- | --- | --- | --- |
| string | `string`  |  | "" |

##### Returns

| Type | Value |
| --- | ---  |
| `string` |  |




### `@ZLIB.inflateRaw()`


Inflates a string using DEFLATE decompression in raw format according to RFC 1951.

```code
@ZLIB.inflateRaw(string $string): string
```

##### Parameters

| Name | Type | Value | Default |
| --- | --- | --- | --- |
| string | `string`  |  | "" |

##### Returns

| Type | Value |
| --- | ---  |
| `string` |  |
